Subject: Re: UCC UART

From: Chuck Meade <[email-masked]>
Date: Tue, 22 Jun 2010 17:27:54 -0400

>> Also in the current Linux kernel, there is a dependence on the
>> correctness
>> of the "brg-frequency" property from the dts.  Look up above
>> qe_setbrg() at
>> the qe_get_brg_clk() function.  Before the return (there are multiple
>> return
>> points) printk the brg_clk being returned.  That must be correct for your
>> hardware -- must be the actual brg freq.  I assume that you are
>> booting from
>> U-Boot.  I believe in modern implementations that U-Boot fills in the
>> brg-frequency in the device tree at boot time.
> 
> The driver claims to work with either bus-frequency or brg-frequency set.
> I only had bus-frequency; when I set brg-frequency, it has started to work.
> Now to test it with a scope to see what else is wrong...
> 
> BTW, I use RedBoot - being the original author, how could I not?
> 
> Thanks for the help

No problem -- I am glad it is working for you now.

Chuck Meade
[email-masked]